## python-daemonize 2.4.7

=== Makefile ===
all: clean upload

clean:
	rm -rf dist daemonize.egg-info

upload:
	python setup.py sdist bdist_wheel upload

docs:
	sphinx-build -b html docs docs/_build

## python-daemonize 2.3.1

=== debian/changelog ===
python-daemonize (2.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #732603)

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Nov 2014 01:52:44 +0800

=== debian/control ===
Source: python-daemonize
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~), python3-setuptools, python3-all
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-daemonize.git
Vcs-Git: git://anonscm.debian.org/openstack/python-daemonize.git
Homepage: https://github.com/thesharp/daemonize

Package: python-daemonize
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-daemonize-doc
Description: enable your code to run as a daemon process - Python 2.x
 Daemonize is a library for writing system daemons in Python. It has some bits
 from http://daemonize.sourceforge.net, and should work under Python 2.x and
 3.x.
 .
 This package contains the Python 2.x module.

Package: python3-daemonize
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-daemonize-doc
Description: enable your code to run as a daemon process - Python 3.x
 Daemonize is a library for writing system daemons in Python. It has some bits
 from http://daemonize.sourceforge.net, and should work under Python 2.x and
 3.x.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/thesharp/daemonize.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-daemonize; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-daemonize; \
	done
	rm -rf $(CURDIR)/debian/python*-daemonize/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/daemonize daemonize-(.*).tar.gz

## python-daemonize 2.4.7

=== debian/changelog ===
python-daemonize (2.4.7-2) unstable; urgency=medium

  * VCS points to Salsa.
  * Add dh-python build-depends.
  * Remove version of python-all build-depends.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 21:22:34 +0200

python-daemonize (2.4.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Luca Weiss ]
  * New upstream release (Closes: #857883)

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Oct 2017 21:03:29 +0000

=== debian/control ===
Source: python-daemonize
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Luca Weiss <luca@z3ntu.xyz>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-daemonize
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-daemonize.git
Homepage: https://github.com/thesharp/daemonize

Package: python-daemonize
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-daemonize-doc,
Description: enable your code to run as a daemon process - Python 2.x
 Daemonize is a library for writing system daemons in Python. It has some bits
 from http://daemonize.sourceforge.net, and should work under Python 2.x and
 3.x.
 .
 This package contains the Python 2.x module.

Package: python3-daemonize
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-daemonize-doc,
Description: enable your code to run as a daemon process - Python 3.x
 Daemonize is a library for writing system daemons in Python. It has some bits
 from http://daemonize.sourceforge.net, and should work under Python 2.x and
 3.x.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/thesharp/daemonize.git
+UPSTREAM_GIT := https://github.com/thesharp/daemonize.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/daemonize/daemonize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-daemonize 2.5.0

=== Makefile ===
all: clean upload

clean:
	rm -rf dist daemonize.egg-info

upload:
	python setup.py sdist bdist_wheel
	twine upload dist/*

docs:
	sphinx-build -b html docs docs/_build

=== debian/changelog ===
python-daemonize (2.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #978620).
  * Add use-python3-for-testing.patch.
  * Run tests/test.py at build time.
  * Add remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 10:35:17 +0100

python-daemonize (2.4.7-4) unstable; urgency=medium

  * Rebuilt source only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jan 2020 13:28:24 +0100

python-daemonize (2.4.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Sakirnth Nagarasa ]
  * Dropping Py2 support (Closes: #937685).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 22 Jul 2019 02:40:43 +0200

=== debian/control ===
Source: python-daemonize
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Luca Weiss <luca@z3ntu.xyz>,
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-daemonize
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-daemonize.git
Homepage: https://github.com/thesharp/daemonize

Package: python3-daemonize
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-daemonize-doc,
Description: enable your code to run as a daemon process - Python 3.x
 Daemonize is a library for writing system daemons in Python. It has some bits
 from http://daemonize.sourceforge.net, and should work under Python 2.x and
 3.x.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/thesharp/daemonize.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-daemonize; \
	done
	rm -rf $(CURDIR)/debian/python*-daemonize/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 tests/test.py
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build
